%ESSEC PhD program, DSGE with FF, MATLAB tutorial
%
clear all
close all


[AA,BB]=xlsread('INDPRO');
ip = AA(1:end-1,:);
lip = log(ip);

[AA,BB]=xlsread('USGDP');
gdp = AA;
lgdp  = log(gdp);


time = [1973:0.25:2015];

figure,plot(time,lip),grid on, title('US IP')


[lip_trend,lip_hp]=hpfilter(lip,1600);
[lgdp_trend,lgdp_hp]=hpfilter(lgdp,1600);

figure
subplot(121),
plot(time,[lip lip_trend]),xlabel('time'),ylabel('log(ip) and trend'),
title('log ip'), grid on,legend('log data','trend')
subplot(122),
plot(time,lip_hp),title('HP filtered'),grid on

disp('sigma lip HP')
sigma_lip = std(lip_hp)
disp('sigma lgdp HP')
sigma_lgdp = std(lgdp_hp)
disp('sigma lip HP / sigma GDP HP')
disp(sigma_lip/sigma_lgdp)
disp('corr coefficient ')
corrcoef([lip_hp lgdp_hp])

break

%getting familiar with index in matrices
A=[1 2 3; 4 5 6; 7 8 9]
disp(' first line of A')
A(1,:)
disp(' 1-3 lines of A')
A([1 3],:)
disp('1rst column of A')
A(:,1)

%logic operations

5>3 %1 = true, 
5<3 %0 = false
5==3

%explore : any, sum, find, all
%explore other loops : if, for, while

x = [-pi:2*pi/100:pi]';

y = sin(x);

z = fcn(x);%I call function 'fcn'

figure %opens a new graph at each execution
plot(x,y,x,z,'o'),title('Function trigonometrics')
xlabel('x'),ylabel('sin/fcn'),legend('y','z'),grid on


z1=fcn(.3)

%









